# 62. Mutation: condividi aziende

Condivisione in batch delle aziende agricole con utenti all'interno dell'"Organizzazione" o con utenti esterni. Esistono due casi per applicare la mutation. Il primo caso è la condivisione in batch delle "Aziende agricole" tramite elenco di email.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation ShareFarmsSample {
  shareFarms(
    input: {
      farmUuids: ["farm_uuid1", "farm_uuid2"]
      emails: ["user1@gmail.com", "user2@gmail.com"]
    }
  ) {
    uuid
    userUuid
    nome
    farmOwnership
    dataCreazione
    updatedDate
    email
  }
}

```

{% endcode %}

E il secondo caso consiste nell'impostare il flag ‘allFarms=true’ per l'elenco di "Utenti" nell'"Organizzazione", il che significa che tutte le nuove aziende agricole all'interno dell'"Organizzazione" saranno accessibili per questi "Utenti".

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation ShareFarmsSample {
  shareFarms(
    input: { 
      emails: ["user@gmail.com"], 
      allFarms: true 
    }
  ) {
    uuid
    userUuid
    nome
    farmOwnership
    dataCreazione
    updatedDate
    email
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/62.-mutation-condividi-aziende.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
